com.ibm.openpages.api.scheduler

## Enum JobDetailCategory

- java.lang.Object
- - java.lang.Enum<JobDetailCategory>
  - - com.ibm.openpages.api.scheduler.JobDetailCategory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JobDetailCategory>

      public enum JobDetailCategory
      extends java.lang.Enum<JobDetailCategory>

  When adding a new category, be sure to add an associated string to grc-core/assets/tfui/i18n/appText/op-app-scheduler-string-keys-op-config.xml with a string key of app.scheduler.job.category. Also add the value to JobDetailCategory in grc-core\react-ui\src\api\schedulerModel.ts

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ascent`
    `custom`
    `rapidratings`
    `regtrack`
    `risklens`
    `riskrecon`
    `securityScorecard`
    `supplywisdom`
    `trri`
    `wk`
    `wkc`
    `workflowDueDateReminders`
    `workflowStart`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static JobDetailCategory` | `getValue(int id)`
    `static JobDetailCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JobDetailCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### workflowStart

          public static final JobDetailCategory workflowStart

    - #### trri

          public static final JobDetailCategory trri

    - #### custom

          public static final JobDetailCategory custom

    - #### wk

          public static final JobDetailCategory wk

    - #### ascent

          public static final JobDetailCategory ascent

    - #### workflowDueDateReminders

          public static final JobDetailCategory workflowDueDateReminders

    - #### regtrack

          public static final JobDetailCategory regtrack

    - #### securityScorecard

          public static final JobDetailCategory securityScorecard

    - #### wkc

          public static final JobDetailCategory wkc

    - #### supplywisdom

          public static final JobDetailCategory supplywisdom

    - #### risklens

          public static final JobDetailCategory risklens

    - #### riskrecon

          public static final JobDetailCategory riskrecon

    - #### rapidratings

          public static final JobDetailCategory rapidratings

  - ### Method Detail

    - #### values

          public static JobDetailCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobDetailCategory c : JobDetailCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobDetailCategory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static JobDetailCategory getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.